Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(16)

Issue 2879673002: Restrict EventRouter::Get/Set-RegisteredEvents. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
4 months, 2 weeks ago by lazyboy
Modified:
4 months, 1 week ago
Reviewers:
karandeepb, benwells
CC:
chromium-reviews, chromium-apps-reviews_chromium.org, extensions-reviews_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Restrict EventRouter::Get/Set-RegisteredEvents. The code is going to be changed in a subsequent CL to allow extension service worker events, it's better if we restrict GetRegisteredEvents and SetRegisteredEvents as we don't really need them outside of EventRouter. Expose simpler HasRegisteredEvents and test specific ClearRegisteredEventsForTest instead. BUG=721147 Test=No visible change expected. Review-Url: https://codereview.chromium.org/2879673002 Cr-Commit-Position: refs/heads/master@{#472151} Committed: https://chromium.googlesource.com/chromium/src/+/ac968918d5b2b6baf9fe987cb0094aa9a73177c0

Patch Set 1 #

Total comments: 5

Patch Set 2 : address comments #

Unified diffs Side-by-side diffs Delta from patch set Stats (+51 lines, -40 lines) Patch
M chrome/browser/apps/app_browsertest.cc View 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/extensions/installed_loader.cc View 1 chunk +2 lines, -2 lines 0 comments Download
M extensions/browser/event_router.h View 1 3 chunks +17 lines, -6 lines 0 comments Download
M extensions/browser/event_router.cc View 1 3 chunks +31 lines, -31 lines 0 comments Download
Trybot results:  chromium_presubmit   win_clang   win_chromium_rel_ng   win_chromium_compile_dbg_ng   win_chromium_x64_rel_ng   mac_chromium_compile_dbg_ng   mac_chromium_rel_ng   ios-simulator-xcode-clang   ios-simulator   ios-device-xcode-clang   ios-device   linux_chromium_tsan_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_rel_ng   linux_chromium_chromeos_rel_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_asan_rel_ng   chromium_presubmit   chromeos_daisy_chromium_compile_only_ng   chromeos_amd64-generic_chromium_compile_only_ng   cast_shell_linux   cast_shell_android   linux_android_rel_ng   android_n5x_swarming_rel   android_cronet   android_compile_dbg   android_arm64_dbg_recipe   android_clang_dbg_recipe   chromium_presubmit   win_chromium_rel_ng   linux_chromium_asan_rel_ng   win_chromium_compile_dbg_ng   win_chromium_x64_rel_ng   win_chromium_rel_ng   win_clang   mac_chromium_rel_ng   mac_chromium_compile_dbg_ng   ios-simulator-xcode-clang   ios-simulator   linux_chromium_tsan_rel_ng   ios-device-xcode-clang   ios-device   linux_chromium_chromeos_rel_ng   linux_chromium_rel_ng   linux_chromium_compile_dbg_ng   chromium_presubmit   linux_chromium_asan_rel_ng   linux_chromium_chromeos_ozone_rel_ng   chromeos_daisy_chromium_compile_only_ng   cast_shell_linux   chromeos_amd64-generic_chromium_compile_only_ng   cast_shell_android   android_n5x_swarming_rel   linux_android_rel_ng   android_cronet   android_compile_dbg   android_clang_dbg_recipe   android_arm64_dbg_recipe 
Commit queue not available (can’t edit this change).

Messages

Total messages: 29 (21 generated)
lazyboy
https://codereview.chromium.org/2879673002/diff/1/extensions/browser/event_router.cc File extensions/browser/event_router.cc (right): https://codereview.chromium.org/2879673002/diff/1/extensions/browser/event_router.cc#newcode736 extensions/browser/event_router.cc:736: void EventRouter::SetRegisteredEvents(const std::string& extension_id, note: This block is moved ...
4 months, 2 weeks ago (2017-05-11 20:58:50 UTC) #5
karandeepb
I am not familiar with EventRouters but seems reasonable. LGTM. Also, the CL description needs ...
4 months, 2 weeks ago (2017-05-12 00:34:26 UTC) #8
lazyboy
CL description updated, thanks! https://codereview.chromium.org/2879673002/diff/1/extensions/browser/event_router.h File extensions/browser/event_router.h (right): https://codereview.chromium.org/2879673002/diff/1/extensions/browser/event_router.h#newcode185 extensions/browser/event_router.h:185: bool HasRegisteredEvents(const ExtensionId& extension_id) const; ...
4 months, 2 weeks ago (2017-05-12 00:56:25 UTC) #12
karandeepb
On 2017/05/12 00:56:25, lazyboy wrote: > CL description updated, thanks! > > https://codereview.chromium.org/2879673002/diff/1/extensions/browser/event_router.h > File ...
4 months, 2 weeks ago (2017-05-12 01:16:27 UTC) #13
lazyboy
+benwells for chrome/browser/apps/*
4 months, 1 week ago (2017-05-12 19:15:36 UTC) #19
benwells
c/b/apps lgtm
4 months, 1 week ago (2017-05-16 05:19:19 UTC) #20
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2879673002/20001
4 months, 1 week ago (2017-05-16 17:40:32 UTC) #26
commit-bot: I haz the power
4 months, 1 week ago (2017-05-16 17:50:27 UTC) #29
Message was sent while issue was closed.
Committed patchset #2 (id:20001) as
https://chromium.googlesource.com/chromium/src/+/ac968918d5b2b6baf9fe987cb009...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b